Data - Retrieve Object Data
Recupera gli oggetti in base ai criteri specificati.
POST http://<Servername>/OperationsManager/data/scomObjects
Corpo della richiesta
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Nome | Tipo | Descrizione |
|---|---|---|
| criteria |
string |
Specificare i criteri per la ricerca. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
OK. Oggetti recuperati correttamente in base ai criteri specificati. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Esempio
RetrieveSCOMObjects
Esempio di richiesta
POST http://<Servername>/OperationsManager/data/scomObjects
[
"DisplayName LIKE '%unix%'"
]
Risposta di esempio
{
"scopeDatas": [
{
"id": "dfc9175d-c0bc-4166-7e0a-0f40c4d4fc6e",
"displayName": "UNIX/Linux Computer Group",
"className": "UNIX/Linux Computer Group",
"path": null,
"fullName": "Microsoft.Unix.ComputerGroup"
}
]
}
Definizioni
| Nome | Descrizione |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Nome | Tipo | Descrizione |
|---|---|---|
| className |
string |
Nome classe |
| displayName |
string |
Nome visualizzato |
| fullName |
string |
Nome completo |
| id |
string |
Documento d'identità |
| path |
string |
Percorso |
ScopeDataResponse
| Nome | Tipo | Descrizione |
|---|---|---|
| scopeDatas |
Dati ambito |